python – 在mac osx中安装MatplotLib

我试图在Mac OSX Lion中安装matplotlib。尝试使用sourcefourge站点中的二进制文件,但是我收到这个错误:“matplotlib要求系统Python 2.7安装”。

我去了终端,键入python –version,并检查要求。

之后,我尝试使用点,而在这样做时,会出现以下错误:

“src / _image.cpp:908:error:invalid use of incomplete type’struct png_info_def’”

你能告诉我如何安装它的线索吗?

非常感谢。

编辑:我找到了一种方式,而无需安装新版本的python:

http://the.taoofmac.com/space/blog/2011/07/24/2222

最佳答案
你可以尝试一个“官方”的python发行版,苹果可能会调整提供的一个。你可以在这里找到2.7:http://www.python.org/download/
您可能需要重新安装numpy以及afterwords:http://sourceforge.net/projects/numpy/files/NumPy/1.6.1/

我建议安装西葫芦
让我知道如果它有效;)

转载注明原文:python – 在mac osx中安装MatplotLib - 代码日志